package matrices;

import java.util.Arrays;

public class ArrayUtil {
    private ArrayUtil() {
    }

    public static double[] clone(double[] array) {
        return Arrays.copyOf(array, array.length);
    }

    public static double[][] clone(double[][] array) {
        int r = array.length;
        int c = array[0].length;
        double[][] array1 = new double[r][c];
        for (int i = 0; i < r; i++) {
            for (int j = 0; j < c; j++) {
                array1[i][j] = array[i][j];
            }
        }
        return array1;
    }

    /**
     * Zamienia tablicę pojedynczą na macierz
     *
     * @param tabl - tablica do przekształcenia
     * @param cols - liczba kolumn
     * @return zwraca macierz
     */
    public static double[][] oneToTwo(double[] tabl, int cols) {
        int rows = tabl.length / cols;
        double[][] temp = new double[rows][cols];
        for (int i = 0; i < tabl.length; i++) {
            temp[i / cols][i % cols] = tabl[i];
        }
        return temp;
    }
}
